Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » TMF (Xtext) » XText 2.16 looking for XBase lib 2.10
XText 2.16 looking for XBase lib 2.10 [message #1802389] Thu, 07 February 2019 22:14 Go to next message
Steve Hickman is currently offline Steve HickmanFriend
Messages: 8
Registered: January 2017
Junior Member
I'm using ObeoDesigner Community 11.1 with XText 2.16 installed. I'm trying to export a product. I've manually adjusted the product runtime configuration to use 'plug-ins selected below only' and then resolved all the dependencies so that 'Validate Plug-ins' is satisfied. When I try the 'Eclipse Product export wizard' I get the following error:

Processing inclusion from feature org.eclipse.xtext.xbase.lib: Unable to find plug-in: org.eclipse.xtext.xbase.lib_2.10.0.v201605250459.

Since I have only Xtext 2.16 installed, org.eclipse.xtext.xbase.lib_2.10.0v... is not part of the install. Why is the feature looking for this particular version? Why won't it use the newer version that was installed with XText 2.16?
Re: XText 2.16 looking for XBase lib 2.10 [message #1802390 is a reply to message #1802389] Thu, 07 February 2019 22:16 Go to previous messageGo to next message
Christian Dietrich is currently online Christian DietrichFriend
Messages: 13071
Registered: July 2009
Senior Member
where do you have feature org.eclipse.xtext.xbase.lib from?

Need professional support for Xtext, Xpand, EMF?
Go to: https://www.itemis.com/en/xtext/
Twitter : @chrdietrich
Blog : https://www.dietrich-it.de
Re: XText 2.16 looking for XBase lib 2.10 [message #1802391 is a reply to message #1802390] Thu, 07 February 2019 22:19 Go to previous messageGo to next message
Christian Dietrich is currently online Christian DietrichFriend
Messages: 13071
Registered: July 2009
Senior Member
and: is your installation and target platform the same

Need professional support for Xtext, Xpand, EMF?
Go to: https://www.itemis.com/en/xtext/
Twitter : @chrdietrich
Blog : https://www.dietrich-it.de
Re: XText 2.16 looking for XBase lib 2.10 [message #1802670 is a reply to message #1802391] Wed, 13 February 2019 17:37 Go to previous messageGo to next message
Steve Hickman is currently offline Steve HickmanFriend
Messages: 8
Registered: January 2017
Junior Member
Thank you for your rapid response. My apologies for my delay. Installation and target platform are the same (Windows 7 64 bit *or* Windows 10). I don't understand your other question - is there a different version of org.eclipse.xtext.xbase.lib installed with Obeo Community 11.1 if I don't install XText 2.16?
Re: XText 2.16 looking for XBase lib 2.10 [message #1802675 is a reply to message #1802670] Wed, 13 February 2019 18:24 Go to previous message
Christian Dietrich is currently online Christian DietrichFriend
Messages: 13071
Registered: July 2009
Senior Member
i cannot tell you anything about obeo designer.
the xtext version and the xbase lib versions should match.
=> again: what is in your target platform? what do you configure there


Need professional support for Xtext, Xpand, EMF?
Go to: https://www.itemis.com/en/xtext/
Twitter : @chrdietrich
Blog : https://www.dietrich-it.de
Previous Topic:Usage of and(&) operator in grammar rule
Next Topic:PowerMockito with xtext
Goto Forum:
  


Current Time: Fri Aug 23 13:10:22 GMT 2019

Powered by FUDForum. Page generated in 0.01994 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top